<?php

// Admin web routes  for product
Route::group(['prefix' => trans_setlocale().'/admin/product'], function () {
    Route::resource('product', 'Guru\Product\Http\Controllers\ProductAdminWebController');
});

// Admin API routes  for product
Route::group(['prefix' => trans_setlocale().'api/v1/admin/product'], function () {
    Route::resource('product', 'Guru\Product\Http\Controllers\ProductAdminApiController');
});

// User web routes for product
Route::group(['prefix' => trans_setlocale().'/user/product'], function () {
    Route::resource('product', 'Guru\Product\Http\Controllers\ProductUserWebController');
});

// User API routes for product
Route::group(['prefix' => trans_setlocale().'api/v1/user/product'], function () {
    Route::resource('product', 'Guru\Product\Http\Controllers\ProductUserApiController');
});

// Public web routes for product
Route::group(['prefix' => trans_setlocale().'/products'], function () {
    Route::get('/', 'Guru\Product\Http\Controllers\ProductPublicWebController@index');
    Route::get('/{slug?}', 'Guru\Product\Http\Controllers\ProductPublicWebController@show');
});

// Public API routes for product
Route::group(['prefix' => trans_setlocale().'api/v1/products'], function () {
    Route::get('/', 'Guru\Product\Http\Controllers\ProductPublicApiController@index');
    Route::get('/{slug?}', 'Guru\Product\Http\Controllers\ProductPublicApiController@show');
});

// Admin web routes  for category
Route::group(['prefix' => trans_setlocale().'/admin/product'], function () {
    Route::resource('category', 'Guru\Product\Http\Controllers\CategoryAdminWebController');
});

// Admin API routes  for category
Route::group(['prefix' => trans_setlocale().'api/v1/admin/product'], function () {
    Route::resource('category', 'Guru\Product\Http\Controllers\CategoryAdminApiController');
});

// User web routes for category
Route::group(['prefix' => trans_setlocale().'/user/product'], function () {
    Route::resource('category', 'Guru\Product\Http\Controllers\CategoryUserWebController');
});

// User API routes for category
Route::group(['prefix' => trans_setlocale().'api/v1/user/product'], function () {
    Route::resource('category', 'Guru\Product\Http\Controllers\CategoryUserApiController');
});

// Public web routes for category
Route::group(['prefix' => trans_setlocale().'/products'], function () {
    Route::get('/', 'Guru\Product\Http\Controllers\CategoryPublicWebController@index');
    Route::get('/{slug?}', 'Guru\Product\Http\Controllers\CategoryPublicWebController@show');
});

// Public API routes for category
Route::group(['prefix' => trans_setlocale().'api/v1/products'], function () {
    Route::get('/', 'Guru\Product\Http\Controllers\CategoryPublicApiController@index');
    Route::get('/{slug?}', 'Guru\Product\Http\Controllers\CategoryPublicApiController@show');
});

// Admin web routes  for price
Route::group(['prefix' => trans_setlocale().'/admin/product'], function () {
    Route::resource('price', 'Guru\Product\Http\Controllers\PriceAdminWebController');
});

// Admin API routes  for price
Route::group(['prefix' => trans_setlocale().'api/v1/admin/product'], function () {
    Route::resource('price', 'Guru\Product\Http\Controllers\PriceAdminApiController');
});

// User web routes for price
Route::group(['prefix' => trans_setlocale().'/user/product'], function () {
    Route::resource('price', 'Guru\Product\Http\Controllers\PriceUserWebController');
});

// User API routes for price
Route::group(['prefix' => trans_setlocale().'api/v1/user/product'], function () {
    Route::resource('price', 'Guru\Product\Http\Controllers\PriceUserApiController');
});

// Public web routes for price
Route::group(['prefix' => trans_setlocale().'/products'], function () {
    Route::get('/', 'Guru\Product\Http\Controllers\PricePublicWebController@index');
    Route::get('/{slug?}', 'Guru\Product\Http\Controllers\PricePublicWebController@show');
});

// Public API routes for price
Route::group(['prefix' => trans_setlocale().'api/v1/products'], function () {
    Route::get('/', 'Guru\Product\Http\Controllers\PricePublicApiController@index');
    Route::get('/{slug?}', 'Guru\Product\Http\Controllers\PricePublicApiController@show');
});

