<?php

namespace Guru\Product\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductItemTransformer extends TransformerAbstract
{
    public function transform(\Guru\Product\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'model'             => $product->model,
            'title'             => $product->title,
            'subtitle'          => $product->subtitle,
            'keywords'          => $product->keywords,
            'url'               => $product->url,
            'category_id'       => $product->category_id,
            'status'            => $product->status,
        ];
    }
}